import request from '@/utils/request'

// 查询资格考试培训计划列表
export function listZigeTraining(query) {
  return request({
    url: '/zgks/ZigeTraining/list',
    method: 'get',
    params: query
  })
}

// 查询资格考试培训计划详细
export function getZigeTraining(TrainId) {
  return request({
    url: '/zgks/ZigeTraining/' + TrainId,
    method: 'get'
  })
}

// 新增资格考试培训计划
export function addZigeTraining(data) {
  return request({
    url: '/zgks/ZigeTraining',
    method: 'post',
    data: data
  })
}

// 修改资格考试培训计划
export function updateZigeTraining(data) {
  return request({
    url: '/zgks/ZigeTraining',
    method: 'put',
    data: data
  })
}

// 删除资格考试培训计划
export function delZigeTraining(TrainId) {
  return request({
    url: '/zgks/ZigeTraining/' + TrainId,
    method: 'delete'
  })
}
